Mit Unterstützung durch::

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  mehrere Blöcke automatisch umbenennen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:


UBBFriend: Senden Sie diese Seite per eMail an einen Freund!
Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   mehrere Blöcke automatisch umbenennen (1728 mal gelesen)
CADSURFER
Mitglied
Techn. Zeichner

Sehen Sie sich das Profil von CADSURFER an!   Senden Sie eine Private Message an CADSURFER  Schreiben Sie einen Gästebucheintrag für CADSURFER

Beiträge: 3
Registriert: 20.10.2004

AutoCAD 2004

erstellt am: 20. Okt. 2004 13:20    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
hallo Lispler,
ich suche ein Lisproutine mit der ich mehrere Blöcke auswählen kann,
diese müssen dann alle automatisch einen neuen Namen bekommen.
Der Name spielt keine Rolle es sollte ein Zufallsname
zb. aus Datum und Uhrzeit sein. Er muß nur einmalig sein.
Ich denke so etwas gibt es schon, nur habe ich es nach Tagelanger Suche noch nicht entdeckt.
Grüße von cadsurfer

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied
Bautechnischer Zeichner


Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 1643
Registriert: 07.06.2001

Quad 2.66,4 GB+Ram, Vista 32Bit, Geforce 9500GT, 4GB Ram, AC2010 - Map 3D, HP DesignJet 500 u. 1050c, TFT Hanns-G 22"

erstellt am: 20. Okt. 2004 13:33    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
Servus

wer Sucht der Findet http://ww3.cad.de/foren/ubb/Forum54/HTML/005951.shtml

Grüsse aus der Steiermark  Bernd P.    Warum Einfach es geht auch kompliziert

Bitte Supportangaben eintragen, warum siehst du hier

[Diese Nachricht wurde von Bernd P am 20. Okt. 2004 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADSURFER
Mitglied
Techn. Zeichner

Sehen Sie sich das Profil von CADSURFER an!   Senden Sie eine Private Message an CADSURFER  Schreiben Sie einen Gästebucheintrag für CADSURFER

Beiträge: 3
Registriert: 20.10.2004

AutoCAD 2004

erstellt am: 21. Okt. 2004 08:09    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
hallo Bernd,
der Tip war nicht schlecht hilft mir aber nicht.
Ich habe in der Zeichnung 100 und mehr Blöcke viele davon haben den
gleichen Namen (dies sind Zufallsnamen aus Datum und Uhrzeit)
Jetzt möchte ich über ein Fenster alle auf einmal auswählen und die Blocknamen auf einen Rutsch ändern.
Wobei mir der Blockname egal ist, er darf jedoch nur einmal vorkommen.
Wenn ich dies nicht mache und ich ändere bei einem Block die Farbe, ändert sich diese bei allen gleichnamigen mit.
Vielleicht habe ich mich jetzt deutlicher ausgedrückt.
Gruß Jürgen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied
Bautechnischer Zeichner


Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 1643
Registriert: 07.06.2001

Quad 2.66,4 GB+Ram, Vista 32Bit, Geforce 9500GT, 4GB Ram, AC2010 - Map 3D, HP DesignJet 500 u. 1050c, TFT Hanns-G 22"

erstellt am: 21. Okt. 2004 08:23    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
Servus Achso *lichtaufgeh*

Du hast 100 Blöcke mit gleichen Namen in der Zeichnung, es sollen 50 davon anders heissen (wegen umdefinieren der anderen 50 Blöcke).
Nur mit einer Zeichnung wirst du wahrscheinlich eh nicht auskommen da man nicht 50 von 100 (oder 2 von 3 ist egal) gleichnamigen Blöcken in einer Zeichnung umbennen kann. Hier gilt das Motto "Einer für alle"  

Wenn du es nicht zu oft brauchst würde ich die ausgewählten Blöcke mit
strg+X (original koor..) in eine Zeichnung kopieren, dort umbennen (Format>Rename (Platzhalter verenden "*") und wieder einfügen.


edit
zum umbennen in der neuen Zeichnug kann wahrscheinlich was basteln, leider kann ich zu wenig Lisp.

------------------
schöne Grüsse aus der Steiermark  Bernd P.    Warum Einfach es geht auch kompliziert

Bitte Supportangaben eintragen, warum siehst du hier

[Diese Nachricht wurde von Bernd P am 21. Okt. 2004 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AsSchu
Ehrenmitglied
Konstrukteur


Sehen Sie sich das Profil von AsSchu an!   Senden Sie eine Private Message an AsSchu  Schreiben Sie einen Gästebucheintrag für AsSchu

Beiträge: 1614
Registriert: 27.06.2003

ACAD 2009

erstellt am: 21. Okt. 2004 08:28    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
Hallo,

oder neuen Block erzeugen und dann mit dem Befehl:_blockreplace
aus den Expresstools tauschen.

Ciao

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur






( Bin dabei: Am 3.12 )

Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 9163
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 21. Okt. 2004 08:38    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
Zitat:
Original erstellt von CADSURFER:
hallo Bernd,
Ich habe in der Zeichnung 100 und mehr Blöcke viele davon haben den
gleichen Namen (dies sind Zufallsnamen aus Datum und Uhrzeit)
...Wobei mir der Blockname egal ist, er darf jedoch nur einmal vorkommen....
Gruß Jürgen

Jeder Block kommt in der Zeichnung nur einmal vor! Er kann jedoch mehrmals referenziert sein. Das nennt man dann Blockreferenzen bzw. Inserts! ... und du willst nun , das jedes Insert einen eigenen Block referenziert! Das widerspricht eigentlich der Blocklogik und dafür gibts in Acad Gruppen.
Das Tool , das du willst, muß also die Blöcke nicht umbenennen , sondern mit neuen Namen duplizieren und dann das Insert entsprechend setzen. Na mal sehen ..

------------------
- Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fuchsi
Mitglied
Programmierer lisp,vb


Sehen Sie sich das Profil von fuchsi an!   Senden Sie eine Private Message an fuchsi  Schreiben Sie einen Gästebucheintrag für fuchsi

Beiträge: 1011
Registriert: 14.10.2003

AutoCad Version 2009 deutsch und englisch
Windows XP SP2

erstellt am: 21. Okt. 2004 09:18    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
probier mal dieses kleine Lisp aus

(defun c:NeuBlock (/ ss1 i1 ename edate NameAlt NameNeu)


  (cond ((setq ss1 (ssget (list (cons 0 "INSERT"))))
(setq i1 0)

(repeat (sslength ss1)
  (setq ename (ssname ss1 i1)
edate (entget ename)
NameAlt (cdr (assoc 2 edate))
                NameNeu (HoleNeuenBlockName)
i1 (1+ i1)
          )
  (if (KopiereBlock NameAlt NameNeu)
      (entmod (subst (cons 2 NameNeu) (assoc 2 edate) edate))
  )
)
)
  )
)
;
; Erstellen eines neuen Blocknames aufgrund Datum Uhrzeit
;
(defun HoleNeuenBlockName (/ a1)
  (while (tblsearch "BLOCK" (setq a1 (strcat "NeuerBlockName-" (replace (rtos (getvar "CDATE") 2 6) "." "")))))
  a1
)
;
; ersetzten eines strings in einem string
;
(defun Replace (String SearchString ReplaceString / )
  (while (/= String (vl-string-subst ReplaceString SearchString String))
    (setq String (vl-string-subst ReplaceString SearchString String))
  )
String
)
;
; Kopieren einer Blockdefinition
;
(defun KopiereBlock (alt neu / block ename edate )

  (setq block (tblsearch "BLOCK" alt))
  (setq ename (cdr (assoc -2 block)))
 
  (entmake)
  (entmake (subst (cons 2 neu) (assoc 2 block) block))
  (while ename
    (setq edate (entget ename))
    (entmake edate)
    (setq ename (entnext ename))
  )
  (entmake (list (cons 0 "ENDBLK")))
)

------------------
WWW.FFZELL.AT.TC

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied
Bautechnischer Zeichner


Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 1643
Registriert: 07.06.2001

Quad 2.66,4 GB+Ram, Vista 32Bit, Geforce 9500GT, 4GB Ram, AC2010 - Map 3D, HP DesignJet 500 u. 1050c, TFT Hanns-G 22"

erstellt am: 21. Okt. 2004 09:29    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
10 U´s für Fuchsi

------------------
schöne Grüsse aus der Steiermark  Bernd P. Warum Einfach es geht auch kompliziert

Bitte Supportangaben eintragen, warum siehst du hier

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

fuchsi
Mitglied
Programmierer lisp,vb


Sehen Sie sich das Profil von fuchsi an!   Senden Sie eine Private Message an fuchsi  Schreiben Sie einen Gästebucheintrag für fuchsi

Beiträge: 1011
Registriert: 14.10.2003

AutoCad Version 2009 deutsch und englisch
Windows XP SP2

erstellt am: 21. Okt. 2004 09:37    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
@BerndP

woher aus der Steiermark bist denn ??
ich komm aus Waidhofen/Ybbs NÖ, also nicht weit zur steirischen Grenze.

------------------
WWW.FFZELL.AT.TC

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied
Bautechnischer Zeichner


Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 1643
Registriert: 07.06.2001

Quad 2.66,4 GB+Ram, Vista 32Bit, Geforce 9500GT, 4GB Ram, AC2010 - Map 3D, HP DesignJet 500 u. 1050c, TFT Hanns-G 22"

erstellt am: 21. Okt. 2004 09:46    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
aus der Nähe von Graz, Judendorf-Strassengel

------------------
schöne Grüsse aus der Steiermark  Bernd P. Warum Einfach es geht auch kompliziert

Bitte Supportangaben eintragen, warum siehst du hier

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

AZSTANDEX
Mitglied



Sehen Sie sich das Profil von AZSTANDEX an!   Senden Sie eine Private Message an AZSTANDEX  Schreiben Sie einen Gästebucheintrag für AZSTANDEX

Beiträge: 20
Registriert: 17.06.2004

2 * Autocad 2009
1 * Autocad Architecture 2009
Octacad 7<P>unter XP Pro SP 3 im Netz.

erstellt am: 21. Okt. 2004 10:56    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
Konnte dies Progrämchen auch ganz gut gebrauchen.
10 U angewiesen.
Danke

Alexander

[Diese Nachricht wurde von AZSTANDEX am 21. Okt. 2004 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADSURFER
Mitglied
Techn. Zeichner

Sehen Sie sich das Profil von CADSURFER an!   Senden Sie eine Private Message an CADSURFER  Schreiben Sie einen Gästebucheintrag für CADSURFER

Beiträge: 3
Registriert: 20.10.2004

AutoCAD 2004

erstellt am: 28. Okt. 2004 07:39    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
hallo Fuchsi,
ein bischen spät aber besser wie nie.
ICH KANN MICH AN DIESER STELLE NUR VERNEIGEN,
super Lisp daß ist genau das was ich gesucht habe,
ob ich auch mal da hin komme, glaub nicht, respekt.
kannst du mir ein Lisp-buch empfehlen?
spitze weiter so.
grazie grazie grazie
chiao chiao

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Gigerota
Mitglied



Sehen Sie sich das Profil von Gigerota an!   Senden Sie eine Private Message an Gigerota  Schreiben Sie einen Gästebucheintrag für Gigerota

Beiträge: 345
Registriert: 17.01.2006

Windows XP, AutoCAD Mechanical 2008 SP2

erstellt am: 11. Jul. 2006 09:34    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
Hallo Fuchsi -  neee, bist echt 'n Fuchs!  1000 Dank, dein tool hilft mir weiter!
Ein Kollege verändert es dahingehend, daß ich den neuen Blocknamen selber bestimmen kann (ich kann leider kein lisp)

Ich werde das tool dann posten!

LG Petra

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Mitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1000
Registriert: 06.12.2004

ACAD2008 deutsch

erstellt am: 11. Jul. 2006 11:11    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
Zitat:
Original erstellt von CADSURFER:

Wenn ich dies nicht mache und ich ändere bei einem Block die Farbe, ändert sich diese bei allen gleichnamigen mit.
Gruß Jürgen

Haben die Blöcke nur eine farbe?
Dann mach doch verschiedene layer für die verschiedenen farben(vorausgesetzt die Blockobjekte sind ByBlock gesetzt) in der Form BLOCKLAYER_rot,BLOCKLAYER_grün usw.
Vorteil1:die Dateigröße bleibt klein

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Gigerota
Mitglied



Sehen Sie sich das Profil von Gigerota an!   Senden Sie eine Private Message an Gigerota  Schreiben Sie einen Gästebucheintrag für Gigerota

Beiträge: 345
Registriert: 17.01.2006

Windows XP, AutoCAD Mechanical 2008 SP2

erstellt am: 16. Aug. 2006 12:10    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
@ Fuchsi:
Zu früh gefreut....ich arbeite mit Mechanical und das tool macht arge Probleme. Z.B. funktioniert es nicht bei Blöcken, wo Power-Maße drin sind.
:-((        Petra

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur






( Bin dabei: Am 3.12 )

Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 9163
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 16. Aug. 2006 12:17    Editieren oder löschen Sie diesen Beitrag! Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities
Zitat:
Original erstellt von Gigerota:
@ Fuchsi:
Zu früh gefreut....ich arbeite mit Mechanical und das tool macht arge Probleme. Z.B. funktioniert es nicht bei Blöcken, wo Power-Maße drin sind.
:-((        Petra

P.S. "Power-Maße" gibts nicht. Das sind ganz gewöhnliche AutoCAD-Bemaßungen , bloß das für die Erstellung Mechanicalbefehle verwendet werden, die auch gleich den richtigen Layer ect. setzen.

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige:

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum


(c)2009 CAD.de

-